[% PROCESS 'ov/html-incblocks.txt' %]
[% INCLUDE htmlstart
     title="Non-empty tokensets"
     contentClass="SingleColumnContent" %]

<H1>Non-empty tokensets</H1>

[% INCLUDE treename %]

<DIV CLASS="Listing">
[%   counter = 0;
     evenRow = 0;

     FOREACH tset = tsetList();
       sz = tsetMembers(tset).size;

       IF sz > 0;

         counter = counter + 1;

         IF counter % 2 == 0;
           evenRow = 1;
         ELSE;
           evenRow = 0;
         END;
%]
  <DIV CLASS="[% evenRow ? 'ListRowEven' : 'ListRow' %]">
    <SPAN CLASS="TokensetDescr">
      <A HREF="[%url(tset)%]">[% xmlnorm(param(tset, 'comment')) %]</A>
      ([% sz %])
    </SPAN>
  </DIV>
       [% END %]
     [% END %]
</DIV>

[% INCLUDE tsetbottomline %]
[% INCLUDE htmlend %]
